#ifndef DIALOGLISTSUBPROC_H
#define DIALOGLISTSUBPROC_H

#include <QObject>
#include <QDialog>

#include "connectortoserver.h"
#include "listsubproc.h"

class DialogListSubProc : public QDialog
{
    Q_OBJECT
public:
    DialogListSubProc(QWidget *parent = nullptr);
    ~DialogListSubProc();

    void closeEvent(QCloseEvent *event) override;

public slots:
    void slot_Accepted();

public:
    void setTask(TaskAmmFim* task);
    bool getListCheckedSubProc(QList<SubProc>* listSubProcCtrl);

private:
    ListSubProc* listSubProcCtrl;
};

#endif // DIALOGLISTSUBPROC_H
